/*GENERAL
--------------------------------------*/
:root {
    scroll-behavior: auto;
    --white: #F4F5F0;
    --black: #212721;
    --orange: #EB5428;
}

.color-white,
.hover-white:hover {
    color: var(--white) !important;
}

.bg-white,
.bghover-white:hover {
    background-color: var(--white) !important;
}

.bd-white,
.bdhover-white:hover {
    border-color: var(--white) !important;
}

.color-black,
.hover-black:hover {
    color: var(--black) !important;
}

.bg-black,
.bghover-black:hover {
    background-color: var(--black) !important;
}

.bd-black,
.bdhover-black:hover {
    border-color: var(--black) !important;
}

.color-orange,
.hover-orange:hover {
    color: var(--orange) !important;
}

.bg-orange,
.bghover-orange:hover {
    background-color: var(--orange) !important;
}

.bd-orange,
.bdhover-orange:hover {
    border-color: var(--orange) !important;
}

body {
    font: normal normal 1rem 'Inter', sans-serif;
    color: var(--black);
}

body.pace-running:before {
    opacity: 1
}

.pace .pace-progress {
    background: var(--black);
}

a,
a:link,
a:visited,
a:hover,
a:active {
    text-decoration: none;
}

a {
    -webkit-transition: background .3s, color .3s;
    -o-transition: background .3s, color .3s;
    transition: background .3s, color .3s;
}

p {
    margin: 0;
}

:focus {
    outline: none;
}

ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.pace-done #main-container {
    opacity: 1 !important
}

::placeholder {
    color: currentColor;
    opacity: 1;
    transition: opacity .3s;
}

:focus::placeholder {
    opacity: .3
}

/*Marquee*/
.marquee-container {
    width: 100%;
    height: 150px;
    overflow: hidden;
    position: relative;
}

.marquee-img {
    width: 100%;
    max-width: 600px;
}

.marquee-container .marquee {
    display: flex;
    width: max-content;
    height: 150px;
    font-weight: 700;
    font-size: 195px;
    position: absolute;
    bottom: 0;
    left: 0;
    text-transform: uppercase;
}

.marquee-inner-1,
.marquee-inner-2 {
    display: flex;
    align-items: center;
}

.marquee-container.straight .marquee-inner-1 {
    animation: slide-har 80s linear infinite;
}

.marquee-container.straight .marquee-inner-2 {
    animation: slide-har 80s linear infinite;
}

.marquee-container.reverse .marquee-inner-1 {
    animation: slide-hareverse 80s linear infinite;
}

.marquee-inner-2 {
    animation: slide-hareverse 80s linear infinite;
}

.marquee-text {
    padding: 0 5px;
    background: #f00
}

@keyframes slide-har {
    100% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
    }
}

@keyframes slide-hareverse {
    100% {
        -webkit-transform: translateX(0%);
        transform: translateX(0%);
    }

    0% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
    }
}

.cf-btn {
    display: inline-block;
    padding: 0 1.25rem;
    height: 3.3rem;
    line-height: 3.3rem;
    text-align: center;
    color: var(--orange);
    position: relative;
    font-size: 1.1rem;
}

.cf-btn:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: currentColor;
    mask-image: url('../img/btn.svg');
    mask-size: 100% 100%;
    mask-repeat: no-repeat;
}

#testimonial {
    position: relative;
}


#testimonial:before {
    display: block;
    content: '';
    width: 100%;
    height: 50%;
    position: absolute;
    left: 0;
    bottom: 0;
    background: var(--orange);
}

#testimonial .slide {
    width: 600px;
    min-height: 800px;
    padding: 3rem;
    display: flex;
    gap: 3.8rem;
    background: var(--black);
    color: var(--white);
    position: relative;
    flex-shrink: 0;
    margin-right: 1.9rem;
}

#testimonial .slide p {
    font-size: 2rem;
    line-height: 1;
    margin-bottom: 2rem;
}

.testimonial-info {
    line-height: 1.3;
    position: relative;
    padding-left: 5rem;
}

.testimonial-info div {
    position: relative;
    font-weight: .8rem;
}

.testimonial-info div strong {
    font-weight: 600;
}

.testimonial-info:before {
    display: block;
    content: '';
    width: 3.88rem;
    height: 4px;
    position: absolute;
    left: 0;
    top: 5px;
    background: var(--white);
}

.general-services-img {
    mask-image: url('../img/mask.svg');
    mask-size: 100% 100%;
    mask-position: 0 0;
    mask-repeat: no-repeat;
}

#partners-slider .slide {
    padding: 0 1rem;
}

/*LAYOUT
--------------------------------------*/
#header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 125px;
    z-index: 5;
    transition: all .3s;
}

#header.headroom--unpinned {
    transform: translateY(-150px);
}

#header.headroom--not-top {
    background: var(--black);
}

#logo {
    width: 125px;
}

#logo img {
    width: 100%;
}

#nav {}

#nav ul {}

#nav li {}

#nav a {
    font-size: 15px;
    color: var(--white);
}

#nav a:hover,
#nav li.current a {
    color: var(--orange);
}

.slicknav_menu {
    position: absolute;
    right: 0;
    top: 18px;
    padding: 0;
    margin: 0;
    background-color: transparent;
    width: 100%;
    display: none;
    z-index: 10;
}

.slicknav_nav {
    width: 100%;
    color: #fff;
    margin: 0;
    padding: 15px 0 0;
    background: rgb(33 39 33 / 91%);
    font-size: .95rem;
    font-weight: 600;
    text-align: center;
    position: absolute;
    top: 61px;
    left: 0;
}

.slicknav_nav ul {
    margin: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
}

.slicknav_nav li {
    margin-bottom: 10px;
}

.slicknav_nav li a.active,
.slicknav_nav li a.focus,
.slicknav_nav a:hover {
    color: #00a651;
    background: unset;
}

.slicknav_btn {
    background: unset;
    margin: 10px 5px 6px;
}

.slicknav_menu .slicknav_icon-bar {
    background: var(--white);
    box-shadow: none;
}

#footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: -1;
}

.footer-col {}

#footer-logo {}

#footer small {}

#footer-social a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2.75rem;
    height: 2.75rem;
    line-height: 2.75rem;
    border-radius: 50%;
    border: 1px solid var(--white);
    text-align: center;
    color: var(--white);
}

#footer-social a:hover {
    background: var(--white);
    color: var(--black);
}

#footer-social img {
    height: 18px;
}

.content {
    position: relative;
    z-index: 1;
    background-color: var(--white);
}

/*HOME
--------------------------------------*/
#home-main {
    height: 100vh;
    min-height: 680px;
    overflow: hidden;
}

.video-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    -webkit-mask: url(#video-mask);
    mask: url(#video-mask);
    pointer-events: none;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    perspective: 1000;
}

#mask-animated-group,
#mask-layout-group {
    /* Evita que los vectores desaparezcan durante la animación */
    will-change: transform;
}

.video-container video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Utilidad para esconder los SVG de definición */
.svg-defs-hidden {
    position: absolute;
    width: 0;
    height: 0;
    pointer-events: none;
}

.svg-measure-box {
    width: 100%;
    position: relative;
    display: block;
}

.svg-image {
    display: block;
    width: 100%;
    height: auto;
    max-width: 100%;
}

#home-about {
    background: url(../img/bg.jpg) no-repeat center / cover;
    overflow: hidden;
    padding-top: 2rem;
}

#home-about-cf {
    position: relative;
    display: flex;
    align-items: end;
    height: 100%;
}

#home-about-cf div {
    width: 50%;
}


#home-about-cf-logo {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 75%;
}

#home-about-cf h3 {
    mask-image: url('../img/mask.svg');
    mask-size: 100% 100%;
    mask-position: 0 0;
    mask-repeat: no-repeat;
    position: absolute;
    bottom: clamp(15px, 3vw, 70px);
    left: 0;
    right: 0;
    margin: 0 auto;
    width: calc(100% - 5px);
    max-width: 200px;
    height: 45px;
    line-height: 40px;
    text-align: center;
}

.home-projects-img {
    width: 62.5%;
    min-width: 520px;
    aspect-ratio: 1/.7;
    mask-image: url('../img/mask-2.svg');
    mask-size: 100% 100%;
    mask-repeat: no-repeat;
    position: relative;
    overflow: hidden;
}

.home-projects-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.home-projects-link {
    color: var(--white);
    position: relative;
}

.home-projects-link:before {
    display: block;
    content: '';
    width: 0;
    height: 1px;
    position: absolute;
    left: 5px;
    bottom: 0;
    transition: width .3s;
    background: currentColor;
}

.home-projects-link:hover:before {
    width: calc(100% - 5px);
}

.home-team-img {
    mask-image: url('../img/mask-3.svg');
    mask-size: 100% 100%;
    mask-repeat: no-repeat;
}

/*PROJECT
--------------------------------------*/
#project-main {
    height: 400px;
    background: var(--black) url(../img/logo-big.svg) no-repeat right top;
}

#project-detail {
    height: 100vh;
}

#project-detail .slide {
    position: relative;
    aspect-ratio: 1/.7;
    display: flex;
    align-items: flex-end;
    color: var(--white);
}

#project-detail .project-prev img,
#project-detail .project-next img {
    transition: all .3s;
}

#project-detail .project-prev:hover img {
    transform: translateX(-2px);
}

#project-detail .project-next:hover img {
    transform: translateX(2px);
}

#project-detail .slick-list,
#project-detail .slick-track {
    height: 100%;
}

#project-detail-content {
    display: block;
    min-height: 220px;
    position: absolute;
    background: url(../img/mask-4.svg) no-repeat center / 100% 100%;
}

/*CONTACT
--------------------------------------*/
#contact {
    box-shadow: 0px 15px 30px rgba(0, 0, 0, 0.3);
}

#contact form {
    color: var(--white);
    position: relative;
}

#contact input[type="text"],
#contact input[type="email"],
#contact select,
#contact textarea,
#contact-phone {
    width: 100%;
    color: var(--white);
    background: unset;
    border-width: 0 0 1px;
    border-color: var(--white);
    border-style: solid;

}

#contact input[type="text"],
#contact input[type="email"],
#contact select,
#contact-phone {
    height: 2.5rem;
    line-height: 2.35rem;
    padding: 0;
}

#contact option{
    color: var(--black);
}

#contact .iti__flag-container {
    height: 100%;
}

#contact .iti__selected-dial-code {
    color: var(--white);
}

#contact .iti__arrow {
    border-top-color: #fff;
}

#contact input[type="text"].iti__search-input {
    color: var(--black);
    padding: 0 5px;
}

#contact textarea {
    height: 7.5rem;
}

#contact input[type="checkbox"] {
    border: 1px solid var(--cf-blanco);
    width: 1.38rem;
    height: 1.38rem;
    border: 1px solid var(--white);
    background: unset;
    border-radius: 0;
}

#contact button {
    transition: all .3s;
}

.grecaptcha-badge {
    visibility: hidden;
}

.iti {
    width: 100%;
}

.iti__flag-container {
    height: 3rem;
}

.iti__country-list,
.iti__selected-dial-code {
    color: #000;
}

#contact .parsley-errors-list {
    display: none;
    font-size: 11px;
    color: #ff5252;
    position: absolute;
    top: 0;
    right: 0;
    pointer-events: none;
    background: #fff;
    text-align: center;
    padding: 0 5px;
}

#contact .parsley-errors-list.filled {
    display: block;
}

#contact #contact-loader {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: var(--orange);
    color:var(--black);
    z-index: 1;
}

#contact #contact-loader #loader {
    position: absolute;
    left: 50%;
    top: 50%;
    margin: -25px 0 0 -25px;
    width: 50px;
    height: 50px;
    background: url(../img/loader.svg) no-repeat center;
}

#contact #contact-msg-text {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: var(--orange);
    color:var(--black);
    z-index: 1;
    opacity: 0;
}

#contact #contact-msg-text h2 {
    font-weight: normal;
    font-style: normal;
    font-size: 32px;
    color: currentColor;
    line-height: 1.5;
}

#contact #contact-msg-text p {
    font-size: 14px;
    line-height: 1.5;
    font-weight: 400;
}

/*MQ
--------------------------------------*/
@media screen and (max-width: 991px) {
    :root {
        font-size: 14px;
    }

    #nav {
        display: none;
    }

    .slicknav_menu {
        display: block;
    }

    .home-projects-img {
        min-width: 0;
        width: 85%;
        margin: 0 auto;
    }

    #testimonial .slide {
        width: 99%;
        min-height: 600px;
        padding: 2rem;
        gap: .8rem
    }
}

@media screen and (max-width: 575px) {

    #header {
        height: 80px;
    }

    #logo {
        width: 100px;
    }

    .services-list h3 {
        font-size: 24px;
    }

    .video-container {
       -webkit-mask: unset;
        mask: unset;
    }

    .video-container:before{
        display:block;
        content:'';
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;
        background: var(--black);
        opacity: .8;
    }

    #home-main{
        position: relative;
        overflow: hidden;
        height: auto;
    }

    #home-main h1 {
        font-size: 20px;
    }

    #project-main {
        background-size: auto 100%;
    }

    #project-detail {
        height: auto;
    }

    #project-detail .slide {
        aspect-ratio: unset;
        flex-direction: column;
    }

    #project-detail .slide img {
        width: 100%;
        order: 0;
    }

    #project-detail-content {
        position: static;
        background: rgba(0, 0, 0, .8);
        order: 1;
    }



    #testimonial .slide p {
        font-size: 22px;
    }

    .testimonial-info {
        padding-left: 2rem;
    }

    .testimonial-info:before {
        width: 0.88rem;
    }


}